%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{?!pybasever:%{expand:%%define pybasever %(%{__python} -c "import sys ; print sys.version[:3]")}}

Name:		python-setuptools
Version:	0.6c11
Release:	1.0.cf%{?dist}
Summary:	Easily build and distribute Python packages
Group:		Applications/System
License:	Python or ZPLv2.0
URL:		http://pypi.python.org/pypi/setuptools
Source0:	http://pypi.python.org/packages/source/s/setuptools/setuptools-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	python-devel
%if "%{pybasever}" == "2.3"
Requires:	python-abi = 2.3
%endif

%description
Setuptools is a collection of enhancements to the Python distutils that allow
you to more easily build and distribute Python packages, especially ones that
have dependencies on other packages.

This package contains the runtime components of setuptools, necessary to
execute the software that requires pkg_resources.py.

%package devel
Summary:	Download, install, upgrade, and uninstall Python packages
Group:		Development/Languages
Requires:	python-devel
Requires:	%{name} = %{version}-%{release}

%description devel
setuptools is a collection of enhancements to the Python distutils that allow
you to more easily build and distribute Python packages, especially ones that
have dependencies on other packages.

This package contains the components necessary to build and install software
requiring setuptools.

%prep
%setup -q -n setuptools-%{version}

# Fix bogus exec permissions and shellbangs
/usr/bin/find -name '*.txt' | /usr/bin/xargs %{__chmod} -x
/usr/bin/find -name '*.py' | /usr/bin/xargs %{__sed} -i '1s|^#!python|#!%{__python}|'

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%check
%{__python} setup.py test

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build	\
	--root %{buildroot}			\
	--single-version-externally-managed
%{__rm} -rf %{buildroot}%{python_sitelib}/setuptools/tests
/usr/bin/find %{buildroot}%{python_sitelib} -name '*.exe' | /usr/bin/xargs %{__rm} -f
%{__chmod} +x %{buildroot}%{python_sitelib}/setuptools/command/easy_install.py

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc pkg_resources.txt setuptools.txt
%{python_sitelib}/setuptools/
%{python_sitelib}/setuptools-%{version}-py%{pybasever}.egg-info/
%{python_sitelib}/pkg_resources.*
%{python_sitelib}/site.*

%files devel
%defattr(-,root,root,-)
%doc EasyInstall.txt README.txt api_tests.txt
%{_bindir}/easy_install
%{_bindir}/easy_install-%{pybasever}
%{python_sitelib}/easy_install.*

%changelog
* Fri Oct 30 2009 Paul Howarth <paul@city-fan.org> - 0.6c11-1.0.cf
- Update to 0.6c11
  - fix "bdist_wininst upload" trying to upload same file twice
  - fix for the Python 2.6.3 build_ext API change
  - ensure C libraries (not just extensions) are also built in bdist_egg
  - support for SVN 1.6
- Drop unbundled license text files
- Drop upstreamed svn versioning patch

* Fri Jul 31 2009 Paul Howarth <paul@city-fan.org> - 0.6c9-5.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 14 2009 Paul Howarth <paul@city-fan.org> - 0.6c9-4.0.cf
- Add patch to support svn 1.6 checkouts (#511021, upstream issue 64)

* Mon Mar  2 2009 Paul Howarth <paul@city-fan.org> - 0.6c9-3.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 15 2009 Paul Howarth <paul@city-fan.org> - 0.6c9-2.0.CF
- Import from Fedora
- Re-add python-abi dependency for python-2.3 based systems
- Remove duplicate documents from devel package
- Tidy up %%files list

* Fri Nov 28 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.6c9-2
- Rebuild for Python 2.6

* Sun Nov 23 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.6c9-1
- Update to 0.6c9
- Small fixes to URL, summary and description

* Sat Jun 21 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.6c8-1
- Update to 0.6c8
- Accept small tweaks from Gareth Armstrong

* Mon Sep 24 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.6c7-2
- Move pretty much everything back into runtime in order to avoid more
  brokenness than we're trying to address with these fixes.

* Fri Sep 14 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.6c7-1
- Upstream 0.6c7
- Move some things from devel into runtime, in order to not break other
  projects.

* Sat Aug 18 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.6c6-2
- Make license tag conform to the new Licensing Guidelines
- Move everything except pkg_resources.py into a separate -devel package
  so we avoid bundling python-devel when it's not required (#251645)
- Do not package tests

* Sun Jun 10 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.6c6-1
- Upstream 0.6c6
- Require python-devel (#240707)

* Sun Jan 28 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.6c5-1
- Upstream 0.6c5 (known bugs, but the promised 0.6c6 is taking too long)

* Tue Dec 05 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.6c3-1
- Upstream 0.6c3 (#218540, thanks to Michel Alexandre Salim for the patch)

* Tue Sep 12 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.6c2-1
- Upstream 0.6c2
- Ghostbusting

* Mon Jul 31 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.6c1-2
- Set perms on license files (#200768)

* Sat Jul 22 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.6c1-1
- Version 0.6c1

* Wed Jun 28 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.6b3-1
- Taking over from Ignacio
- Version 0.6b3
- Ghost .pyo files in sitelib
- Add license files
- Remove manual python-abi, since we're building FC4 and up
- Kill .exe files

* Wed Feb 15 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.6a10-1
- Upstream update

* Mon Jan 16 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.6a9-1
- Upstream update

* Sat Dec 24 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.6a8-1
- Initial RPM release
